aboutsummaryrefslogtreecommitdiffstats
path: root/community/tg
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-05-27 12:29:32 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-05-27 12:29:37 +0000
commit9cf9e0ecbb88d657d8c90efd0bc21c900c4c1dcc (patch)
tree9a019340655a03b94cd9ea1d98581c80a8971299 /community/tg
parent08b6e2ae43356fbb24ef5c262fb08bfe09d675b0 (diff)
downloadaports-9cf9e0ecbb88d657d8c90efd0bc21c900c4c1dcc.tar.gz
aports-9cf9e0ecbb88d657d8c90efd0bc21c900c4c1dcc.tar.bz2
aports-9cf9e0ecbb88d657d8c90efd0bc21c900c4c1dcc.tar.xz
community/tg: enabled lua support
Diffstat (limited to 'community/tg')
-rw-r--r--community/tg/APKBUILD28
1 files changed, 15 insertions, 13 deletions
diff --git a/community/tg/APKBUILD b/community/tg/APKBUILD
index b02ce213d0..be1b4ebd10 100644
--- a/community/tg/APKBUILD
+++ b/community/tg/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=tg
pkgver=1.3.1
-pkgrel=1
+pkgrel=2
tglver=2.0.1
tlparserver=0_git20151118
pkgdesc="Command line Telegram client"
@@ -10,8 +10,8 @@ url="https://github.com/vysheng/tg"
arch="all"
license="GPL3"
depends=""
-depends_dev="readline-dev openssl-dev libconfig-dev libevent-dev jansson-dev"
-makedepends="$depends_dev zlib-dev"
+depends_dev="readline-dev openssl-dev libconfig-dev libevent-dev jansson-dev lua5.2-dev"
+makedepends="$depends_dev zlib-dev grep"
subpackages=""
provides="telegram-cli"
source="$pkgname-$pkgver.tar.gz::https://github.com/vysheng/tg/archive/$pkgver.tar.gz
@@ -43,18 +43,20 @@ prepare() {
}
build() {
- cd "$_builddir"
- export LUA_INCLUDE="-I/usr/include/lua5.2"
- export LUA_LIBS="-Llua5.2"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
+ cd "$_builddir"
+ export LUA=/usr/bin/lua5.2
+ export LUA_INCLUDE=-I/usr/include/lua5.2
+ export LUA_LIB=$(pkg-config --libs lua5.2)
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
--enable-libconfig \
- --disable-liblua \
+ --enable-liblua \
|| return 1
- make || return 1
+ make || return 1
}
package() {